agency-board
POST /v1/agency/boards/{boardId}/cards/{cardId}/comments
Comment on a card.
Autenticación
Envía una clave de API como token de portador. Este endpoint no especifica un permiso concreto en la especificación, así que otorga a tu clave los mínimos privilegios necesarios y comprueba la respuesta en lugar de dar por sentado.
Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.
Pruébalo
Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API
Detalles
`visibility` defaults to `internal`, so an agency comment must be widened deliberately to reach the client.
Parámetros
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
boardId (path) | Uuid | Sí | Project board ID (UUIDv7). |
cardId (path) | Uuid | Sí | Board card ID (UUIDv7). |
Cuerpo de la solicitud
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
body | string | Sí | — |
visibility | AgencyBoardVisibility | No | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
Respuesta
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
author_id | string | No | — |
author_is_client | boolean | No | — |
author | AgencyBoardActor | No | — |
body | string | Sí | — |
visibility | AgencyBoardVisibility | Sí | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
created_at | string | Sí | — |
Errores que este endpoint puede devolver
401 · 403 · 404 · 422